import { RemixFloatingMenu } from './widget/floating-menu.js';
import { IRemix, Remix, IRemixSuggestion } from '../../../remix/index.js';
import { Confirm } from '../../../editor/dialogs/confirm.js';
export declare class BlocklyRemix extends Remix {
    resetConfirm?: Confirm;
    menu?: RemixFloatingMenu;
    data?: IRemix;
    getResetConfirm(): Confirm;
    reset(): void;
    start(): void;
    selectSuggestion(suggestion: IRemixSuggestion): void;
    deselectSuggestion(): void;
    dispose(): void;
}
